ListExchanges
GET
List all exchange pairs (Bancor-style exchanges) registered on the network.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Query Parameters
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)Responses
List of exchange pairs.
exchange_idinteger
Unique ID of the exchange pair.creator_addressstring
Address of the account that created the exchange.create_timeinteger
Timestamp when the exchange was created. (Unit: millisecond)first_token_idstring
ID of the first token. TRX is represented as _.first_token_balanceinteger
Balance of the first token held by the exchange.second_token_idstring
ID of the second token. TRX is represented as _.second_token_balanceinteger
Balance of the second token held by the exchange.cURL
curl -X GET 'https://tron-mainnet.nodit.io/wallet/listexchanges' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo'